View Issue Details

IDProjectCategoryView StatusLast Update
0001155SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Tochenson 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.5 
Target Version3.3.6Fixed in Version3.3.6 
Summary0001155: Audit router causes NPE on MySQL.
DescriptionThe audit router correctly created an audit table but failed to insert the audit record.




[corp] - RouterService - Failed to route and batch data on 'default' channel
java.lang.NullPointerException
        at org.jumpmind.db.platform.mysql.MySqlDmlStatement.appendColumnQuestions(MySqlDmlStatement.java:20)
        at org.jumpmind.db.sql.DmlStatement.buildInsertSql(DmlStatement.java:158)
        at org.jumpmind.db.sql.DmlStatement.<init>(DmlStatement.java:78)
        at org.jumpmind.db.platform.mysql.MySqlDmlStatement.<init>(MySqlDmlStatement.java:12)
        at org.jumpmind.db.platform.mysql.MySqlDatabasePlatform.createDmlStatement(MySqlDatabasePlatform.java:98)
        at org.jumpmind.db.platform.AbstractDatabasePlatform.createDmlStatement(AbstractDatabasePlatform.java:108)
        at org.jumpmind.symmetric.route.AuditTableDataRouter.routeToNodes(AuditTableDataRouter.java:83)
        at org.jumpmind.symmetric.service.impl.RouterService.routeData(RouterService.java:581)
        at org.jumpmind.symmetric.service.impl.RouterService.selectDataAndRoute(RouterService.java:516)
        at org.jumpmind.symmetric.service.impl.RouterService.routeDataForChannel(RouterService.java:337)
        at org.jumpmind.symmetric.service.impl.RouterService.routeDataForEachChannel(RouterService.java:265)
        at org.jumpmind.symmetric.service.impl.RouterService.routeData(RouterService.java:153)
        at org.jumpmind.symmetric.job.RouterJob.doJob(RouterJob.java:41)
        at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:169)
        at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:213)
        at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:53)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
        at java.util.concurrent.FutureTask$Sync.innerRunAndReset(FutureTask.java:317)
        at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:150)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$101(ScheduledThreadPoolExecutor.java:98)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.runPeriodic(ScheduledThreadPoolExecutor.java:180)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:204)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
TagsNo tags attached.

Activities

abrougher

2013-04-02 18:47

developer   ~0000236

I believe audit routers were broken across all dialects.

chenson

2013-04-03 07:53

administrator   ~0000238

Ready for release

Related Changesets

SymmetricDS: master dd988fe2

2013-04-02 18:44:54

abrougher

Details Diff
0001155: Audit router causes NPE on MySQL.
0001155
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File

SymmetricDS: master 7d6d1912

2013-04-02 20:16:34

chenson

Details Diff
0001155: Audit router causes NPE on MySQL.
0001155
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File

SymmetricDS: master 5cade299

2013-04-02 20:18:21

chenson

Details Diff
0001155: Audit router causes NPE on MySQL.
0001155
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AbstractDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/BshDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/SubSelectDataRouter.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDmlStatement.java Diff File

SymmetricDS: master ba6b4e9c

2013-04-02 20:19:02

chenson

Details Diff
0001155: Audit router causes NPE on MySQL.
0001155
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File

Issue History

Date Modified Username Field Change
2013-04-01 16:54 abrougher New Issue
2013-04-01 16:54 abrougher Status new => assigned
2013-04-01 16:54 abrougher Assigned To => abrougher
2013-04-02 18:47 abrougher Note Added: 0000236
2013-04-02 18:47 abrougher Status assigned => resolved
2013-04-02 18:47 abrougher Fixed in Version => 4.0.0
2013-04-02 18:47 abrougher Resolution open => fixed
2013-04-02 18:47 abrougher Assigned To abrougher => chenson
2013-04-02 21:21 chenson Fixed in Version 4.0.0 => 3.3.6
2013-04-02 21:21 chenson Target Version 4.0.0 => 3.3.6
2013-04-03 07:53 chenson Note Added: 0000238
2013-04-03 07:53 chenson Status resolved => closed
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7031
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7032
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7033
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7034
2014-02-02 20:53 Changeset attached => SymmetricDS 3.3 r7035
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ba6b4e9c
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5cade299
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7d6d1912
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master dd988fe2